Open Lighting Architecture: ola::rdm::SlotData Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
ola::rdm::SlotData Class Reference

## Detailed Description

Holds information about a single DMX slot.

## Public Member Functions
rdm_slot_type | SlotType () const
| The Slot Type. Used in the SLOT_INFO message.
uint16_t | SlotIDDefinition () const
| The Slot ID Definition. Used in the SLOT_INFO message. This can either be a rdm_slot_definition for a primary slot, or the index of the primary slot in the case of a secondary slot.
uint8_t | DefaultSlotValue () const
| The default slot value. Used in the DEFAULT_SLOT_VALUE message.
bool | HasDescription () const
| true if there is a description for this slot, false otherwise.
std::string | Description () const
| The slot description. Used in the SLOT_DESCRIPTION message.

## Static Public Member Functions
static SlotData | PrimarySlot (rdm_slot_definition slot_definition, uint8_t default_slot_value)
| Create a new Primary slot.
static SlotData | PrimarySlot (rdm_slot_definition slot_definition, uint8_t default_slot_value, const std::string &description)
| Create a new Primary slot with a description.
static SlotData | SecondarySlot (rdm_slot_type slot_type, uint16_t primary_slot, uint8_t default_slot_value)
| Create a new Secondary slot.
static SlotData | SecondarySlot (rdm_slot_type slot_type, uint16_t primary_slot, uint8_t default_slot_value, const std::string &description)
| Create a new Secondary slot with a description.

## Member Function Documentation

## ◆ DefaultSlotValue()

uint8_t ola::rdm::SlotData::DefaultSlotValue | ( |  | ) | const
| inline

The default slot value. Used in the DEFAULT_SLOT_VALUE message.

Returns
  the default slot value.

## ◆ Description()

std::string ola::rdm::SlotData::Description | ( |  | ) | const
| inline

The slot description. Used in the SLOT_DESCRIPTION message.

Returns
  the slot description.

## ◆ HasDescription()

bool ola::rdm::SlotData::HasDescription | ( |  | ) | const
| inline

true if there is a description for this slot, false otherwise.

Returns
  true if there is a description for this slot.

## ◆ PrimarySlot() [1/2]

SlotData ola::rdm::SlotData::PrimarySlot | ( | rdm_slot_definition | slot_definition,
|  | uint8_t | default_slot_value )
| static

Create a new Primary slot.

Parameters

  slot_definition | the slot id definition.
  default_slot_value | the default value for the slot

Returns
  a SlotData object.

## ◆ PrimarySlot() [2/2]

SlotData ola::rdm::SlotData::PrimarySlot | ( | rdm_slot_definition | slot_definition,
|  | uint8_t | default_slot_value,
|  | const std::string & | description )
| static

Create a new Primary slot with a description.

Parameters

  slot_definition | the slot id definition.
  default_slot_value | the default value for the slot
  description | the slot description

Returns
  a SlotData object.

## ◆ SecondarySlot() [1/2]

SlotData ola::rdm::SlotData::SecondarySlot | ( | rdm_slot_type | slot_type,
|  | uint16_t | primary_slot,
|  | uint8_t | default_slot_value )
| static

Create a new Secondary slot.

Parameters

  slot_type | the secondary slot type
  primary_slot | the primary slot index.
  default_slot_value | the default value for the slot

Returns
  a SlotData object.

## ◆ SecondarySlot() [2/2]

SlotData ola::rdm::SlotData::SecondarySlot | ( | rdm_slot_type | slot_type,
|  | uint16_t | primary_slot,
|  | uint8_t | default_slot_value,
|  | const std::string & | description )
| static

Create a new Secondary slot with a description.

Parameters

  slot_type | the secondary slot type
  primary_slot | the primary slot index.
  default_slot_value | the default value for the slot
  description | the slot description

Returns
  a SlotData object.

## ◆ SlotIDDefinition()

uint16_t ola::rdm::SlotData::SlotIDDefinition | ( |  | ) | const
| inline

The Slot ID Definition. Used in the SLOT_INFO message. This can either be a rdm_slot_definition for a primary slot, or the index of the primary slot in the case of a secondary slot.

Returns
  The slot ID Definition.

## ◆ SlotType()

rdm_slot_type ola::rdm::SlotData::SlotType | ( |  | ) | const
| inline

The Slot Type. Used in the SLOT_INFO message.

Returns
  the slot type.

The documentation for this class was generated from the following files:

- include/ola/rdm/ResponderSlotData.h
- common/rdm/ResponderSlotData.cpp